"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerUseMovingPlatformEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player uses a moving platform. Emitted before the player has
 * actually used it, see {@link MovingPlatformPlayerUpdateEvent} to listen for
 * when a player has actually used a moving platform and is moving.
 */
class PlayerUseMovingPlatformEvent extends events_1.CancelableEvent {
    constructor(room, player, message) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.eventName = "player.usemovingplatform";
    }
}
exports.PlayerUseMovingPlatformEvent = PlayerUseMovingPlatformEvent;
PlayerUseMovingPlatformEvent.eventName = "player.usemovingplatform";
//# sourceMappingURL=UseMovingPlatform.js.map